create_line#
- Modeler3DLayout.create_line(layer: str, center_line_coordinates: list, lw: float | str = 1, start_style: int = 0, end_style: int = 0, name: str = None, net: str = None, **kwargs: any) Line3dLayout [source]#
Create a line based on a list of points.
- Parameters:
- layer
str
Name of the layer to create the line on.
- center_line_coordinates
list
List of centerline coordinates in the form of
[x, y]
.- lw
float
,optional
Line width. The default is
1
.- start_style
Starting style of the line. Options are:
0
- Flat1
- Extended2
- Round
The default is
0
.- end_style
Ending style of the line. The options are the same as those for
start_style
. The default is0
.- name
str
,optional
Name of the line. The default is
None
, in which case the default name is assigned.- net
str
,optional
Name of the net. The default is
None
, in which case the default name is assigned.
- layer
- Returns:
ansys.aedt.core.modeler.cad.object_3dlayout.Line3dLayout
Object of the line created when successful.
References
>>> oEditor.CreateLine